package com.taskttl.data.contract

import com.taskttl.data.local.entity.TaskEntity

/**
 * 添加状态
 * @author Hsy
 * @date 2024/09/07
 * @constructor 创建[AddState]
 * @param [isLoading] 正在加载
 */
data class AddState(
    val isLoading: Boolean = false,
    val taskEntity: TaskEntity = TaskEntity(),
) : UiState

/**
 * @author Hsy
 * @date 2024/09/06
 * @constructor 创建[IndexEvent]
 */
sealed interface AddEvent : UiEvent {
    data class AddTask(val item: TaskEntity) : AddEvent
    data class LoadTask(val id: Int) : AddEvent
    data class UpdateTitle(val title: String) : AddEvent
    data class UpdateContent(val content: String) : AddEvent
}

/**
 * @author Hsy
 * @date 2024/09/06
 * @constructor 创建[IndexEffect]
 */
sealed interface AddEffect : UiEffect {
    data class AddSuccess(val message: String) : AddEffect
}