package com.taskttl.data.contract

import com.taskttl.data.local.entity.TaskEntity

/**
 * @author Hsy
 * @date 2024/09/06
 * @constructor 创建[IndexState]
 * @param [isLoading]
 */
data class IndexState(
    val isLoading: Boolean = false,
    val uncompletedList: List<TaskEntity> = listOf(),
    val completedList: List<TaskEntity> = listOf(),
) : UiState

/**
 * @author Hsy
 * @date 2024/09/06
 * @constructor 创建[IndexEvent]
 */
sealed interface IndexEvent : UiEvent {
    data class LoadData(
        val uncompletedList: List<TaskEntity>,
        val completedList: List<TaskEntity>
    ) : IndexEvent

    data class Completed(val id: Int) : IndexEvent
}

/**
 * @author Hsy
 * @date 2024/09/06
 * @constructor 创建[IndexEffect]
 */
sealed interface IndexEffect : UiEffect {
    data class ShowToast(val message: String) : IndexEffect
}