package com.taskttl.data.local

import androidx.room.Database
import androidx.room.RoomDatabase
import com.taskttl.data.local.dao.TaskDao
import com.taskttl.data.local.entity.TaskEntity

/**
 * 应用程序数据库
 * @author Hsy
 * @date 2024/09/06
 * @constructor 创建[AppDatabase]
 */
@Database(entities = [TaskEntity::class], version = 1, exportSchema = false)
abstract class AppDatabase : RoomDatabase() {

    /**
     * 待办Dao
     * @return [TaskDao]
     */
    abstract fun taskDao(): TaskDao
}