package com.taskttl.di

import android.app.Application
import android.content.Context
import com.taskttl.utils.Logger
import com.taskttl.utils.ToastUtil
import dagger.hilt.android.HiltAndroidApp

@HiltAndroidApp
class TaskApplication : Application() {
    companion object {
        lateinit var appContext: Context
            private set
    }

    override fun onCreate() {
        super.onCreate()
        // 初始化应用上下文
        appContext = applicationContext
        // 初始化Logger
        Logger.initialize(appContext)
        // 初始化吐司工具类
        ToastUtil.initialize(appContext)

    }
}