package com.taskttl.ui.navigation

import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.rememberNavController
import com.taskttl.ui.MainAppState
import com.taskttl.ui.screen.INDEX_ROUTE
import com.taskttl.ui.screen.addScreen
import com.taskttl.ui.screen.indexScreen
import com.taskttl.ui.screen.myScreen

@Composable
fun MainNavHost(
    appState: MainAppState,
    startDestination: String = INDEX_ROUTE,
    onSettingClick: () -> Unit,
) {

    val navController = rememberNavController()
    NavHost(
        navController = appState.navController,
        startDestination = startDestination
    ) {
        indexScreen(
            appState.snackBarHostState,
//            onSettingClick,
//            navigateToDetail = navigateToContentDetail
        )
        addScreen(snackBarHostState = appState.snackBarHostState)
        myScreen(snackBarHostState = appState.snackBarHostState)
//        composable(INDEX_ROUTE) { IndexScreen(navController) }
//        composable(
//            "${RouteConfig.EDIT}/{id}",
//            arguments = listOf(navArgument("id") { type = NavType.IntType })
//        ) { backStackEntry ->
//            backStackEntry.arguments?.getInt("id")?.let { AddScreen(navController, it) }
//        }
    }
}