package com.taskttl.ui.screen

import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.SnackbarHostState
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.layout.ContentScale
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.res.stringResource
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController
import androidx.navigation.NavGraphBuilder
import androidx.navigation.NavOptions
import androidx.navigation.compose.composable
import com.taskttl.R

const val MY_ROUTE = "my"

fun NavController.navigateToMy(navOptions: NavOptions) = navigate(MY_ROUTE, navOptions)

fun NavGraphBuilder.myScreen(
    snackBarHostState: SnackbarHostState,
//    navigateToContentDetail: (ContentBean) -> Unit
) {
    composable(route = MY_ROUTE) {
        MyRoute(snackBarHostState)
    }
}

@Composable
fun MyRoute(snackBarHostState: SnackbarHostState) {
    Box(
        modifier = Modifier
            .fillMaxSize()
            .background(Color(0xFFF1F5F9))
    ) {
        Image(
            painter = painterResource(id = R.mipmap.add_header),
            modifier = Modifier
                .fillMaxWidth()
                .height(96.dp),
            contentScale = ContentScale.Crop,
            contentDescription = ""
        )

        Text(
            stringResource(R.string.nav_my),
            fontSize = 30.sp,
            fontWeight = FontWeight.Bold,
            color = Color.White,
            modifier = Modifier
                .align(Alignment.TopCenter)
                .padding(top = 36.dp)
        )
    }
}