package com.taskttl.utils

import android.content.Context
import android.util.Log
import com.taskttl.R
import com.taskttl.data.constant.Constant

/**
 * @author devttl
 * @date 2024/08/24
 */
object Logger {
    private var TAG = ""
    fun initialize(context: Context) {
        TAG = context.getString(R.string.appName)
    }

    fun debug(message: String) {
        if (message.isEmpty()) {
            return
        }
        Log.d(TAG, message)
    }

    fun info(message: String) {
        if (message.isEmpty()) {
            return
        }
        if (Constant.PRINT_LOG) {
            Log.i(TAG, message)
        }
    }

    fun warn(message: String) {
        if (message.isEmpty()) {
            return
        }
        if (Constant.PRINT_LOG) {
            Log.w(TAG, message)
        }
    }

    fun error(message: String) {
        if (message.isEmpty()) {
            return
        }
        if (Constant.PRINT_LOG) {
            Log.e(TAG, message)
        }
    }
}