package com.taskttl.utils

import android.content.Context
import android.widget.Toast
import androidx.annotation.StringRes


/**
 * 吐司工具类
 *
 * @author devttl
 * @date 2024/06/16
 */
object ToastUtil {
    private var appContext: Context? = null

    fun initialize(context: Context) {
        appContext = context.applicationContext
    }

    /**
     * 显示短时间的吐司消息
     * @param message 要显示的消息
     */
    fun showShortToast(message: String) {
        Toast.makeText(appContext, message, Toast.LENGTH_SHORT).show()
    }

    /**
     * 显示长时间的吐司消息
     * @param message 要显示的消息
     */
    fun showLongToast(message: String) {
        Toast.makeText(appContext, message, Toast.LENGTH_LONG).show()
    }

    /**
     * 显示短时间的吐司消息
     * @param resId 要显示的消息的资源ID
     */
    fun showShortToast(@StringRes resId: Int) {
        Toast.makeText(appContext, resId, Toast.LENGTH_SHORT).show()
    }

    /**
     * 显示长时间的吐司消息
     * @param resId 要显示的消息的资源ID
     */
    fun showLongToast(@StringRes resId: Int) {
        Toast.makeText(appContext, resId, Toast.LENGTH_LONG).show()
    }
}